Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 180935 - clone annotation processor UI & support from J2SE project to J2EE proejcts
clone annotation processor UI & support from J2SE project to J2EE proejcts
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Sergey Petrov
issues@javaee
:
Depends on:
Blocks: 178108
  Show dependency treegraph
 
Reported: 2010-02-18 15:56 UTC by David Konecny
Modified: 2010-03-12 04:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2010-02-18 15:56:58 UTC
According to Dusan Balek following changesets should be transplanted:

changeset da5a766e5aa2 in main-silver
details: http://hg.netbeans.org/main-silver?cmd=changeset;node=da5a766e5aa2
description:
#179749: introducing AnnotationProcessingQuery and related APIs/generic
implementations.

changeset bf8dcf793fb4 in main-silver
details: http://hg.netbeans.org/main-silver?cmd=changeset;node=bf8dcf793fb4
description:
A basic support for annotation processing in J2SE Projects - GUI will
follow.

changeset b0946bc11c81 in main-silver
details: http://hg.netbeans.org/main-silver?cmd=changeset;node=b0946bc11c81
description:
#180048, #180033, #180034: improving the build-impl.xml (and related
parts) to handle processorpath with spaces, run APs in tests that are
defined in src folders, etc.

and a part (changes to java.j2seproject) of the
changeset d59a1df3507f in main-silver
details: http://hg.netbeans.org/main-silver?cmd=changeset;node=d59a1df3507f
description:
Issue #111065: Support Annotation Processors in Java Editor added.
Comment 1 Sergey Petrov 2010-02-19 06:22:40 UTC
Already start looking into web project, 
some updates http://hg.netbeans.org/web-main/rev/aee62025959c
Comment 2 Quality Engineering 2010-02-21 22:36:37 UTC
Integrated into 'main-golden', will be available in build *201002220200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/aee62025959c
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935  - some files updated, more need to be done
Comment 3 Sergey Petrov 2010-02-24 05:13:52 UTC
will try to complete clone this week
Comment 4 Quality Engineering 2010-02-24 22:05:24 UTC
Integrated into 'main-golden', will be available in build *201002250200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/308553a9ec31
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935  - migrated properties/compile customizer modification
Comment 5 David Konecny 2010-02-24 22:15:11 UTC
The same changes has to be applied to Ejb and AppClient project. I think that following bits of code would be better to be refactored into api.java.common module (friend API contract):
* encodeBoolean() + BOOLEAN_KIND_* constants
* AddAnnotationProcessor class (private class with one static public friend API method addNewAnnotationProcessor)
* anything else?? probably not ...
Sergey, do you feel like doing this (and other EE proj types) or would you prefer me to do that. :-) If you refactor code then update also J2SE proj.
Comment 6 Sergey Petrov 2010-02-25 01:17:55 UTC
I'm going to migrate all to web project first and with web project changesets move to ejb/app client, it's not completed yet.
Regarding refactoring I'm not sure I can do it fast so if you know  more about what should be changed and how(As I don't know yet), it may be better if you will update.
Comment 7 Sergey Petrov 2010-02-25 08:38:32 UTC
With latest change I can now  add eclipselink to processor libraries and build with canonical processor  added to processors list, still need some testing to see if all works before add to other projects.
Also is there any reason to have default source level set to JDK5 for web project? Can we move to JDK6 by default?
Comment 8 Petr Jiricka 2010-02-25 09:03:44 UTC
Yes we should move to JDK 6, David and I already discussed this. I filed bug 181215.
Comment 9 David Konecny 2010-02-25 19:03:29 UTC
OK, I will refactor it once you finish it.
Comment 10 Quality Engineering 2010-02-25 22:17:49 UTC
Integrated into 'main-golden', will be available in build *201002260200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/308553a9ec31
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935  - migrated properties/compile customizer modification
Comment 11 Sergey Petrov 2010-02-26 04:45:38 UTC
It may have sense to wait next week before continue fixing as more changes are expected next week in "Enable Annotation Processing in Editor".
Comment 12 Quality Engineering 2010-02-26 23:05:59 UTC
Integrated into 'main-golden', will be available in build *201002270200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7112aae57fc1
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935 modified classpathprovider for web project  to support separate processors classpath
Comment 13 Quality Engineering 2010-03-02 11:28:14 UTC
Integrated into 'main-golden', will be available in build *201003021507* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c284416ddb7d
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935, #181253 rollback one change to fix 181253 fast, need to change realization
Comment 14 Quality Engineering 2010-03-02 22:10:33 UTC
Integrated into 'main-golden', will be available in build *201003030200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7a87d3895287
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935 - verify annotations properties in project opened hook, may be reasonable to change back to default evaluator also.
Comment 15 Sergey Petrov 2010-03-11 08:15:37 UTC
http://hg.netbeans.org/web-main/rev/b88dad991711
http://hg.netbeans.org/web-main/rev/257925c3a354

added for ejb and app client,
may need update for "encodeBoolean() + BOOLEAN_KIND_* constants" but may not be necessary, currently the same is in j2se/app client (and it was there) and in web/ejb(added with this fix).
Comment 16 Quality Engineering 2010-03-12 04:31:36 UTC
Integrated into 'main-golden', will be available in build *201003120200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b88dad991711
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #180935 support in ejb module project


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo